intern-0.9.1.4: Efficient hash-consing for arbitrary data types

Safe Haskell | None
Language | Haskell98

Data.Interned.Internal.ByteString

# Documentation

data InternedByteString Source

Constructors

InternedByteString |

Fields

internedByteStringId :: !Id
uninternByteString :: !ByteString

Instances

Eq InternedByteString Source |
Ord InternedByteString Source |
Show InternedByteString Source |
IsString InternedByteString Source |
Uninternable InternedByteString Source |
Interned InternedByteString Source |
Eq (Description InternedByteString) Source |
Hashable (Description InternedByteString) Source |
data Description InternedByteString = DBS ByteString Source |
type Uninterned InternedByteString = ByteString Source |